
if select(2, UnitClass('player')) ~= "PALADIN" then
    DisableAddOn("QuiHolyPower")
    return
end

local locked = true;

local hp_bar, events = CreateFrame("Frame", "QUIHP", UIParent ), {}
	hp_bar:SetPoint("CENTER", 0 ,0 )
	hp_bar:SetWidth(128)
	hp_bar:SetHeight(128)
	hp_bar:SetScale(1.4)
	hp_bar:SetAlpha(1)
	hp_bar:SetMovable()
	hp_bar:SetUserPlaced(true)
	
local tex = hp_bar:CreateTexture( )
local gfxPath = "Interface\\AddOns\\QuiHolyPower\\gfx\\"

tex:SetTexture( gfxPath.."0.tga" );
tex:SetAllPoints(hp_bar)
tex:SetAlpha(1)
hp_bar:Show()

function hp_bar:toggleLock()
	
	if locked then
		DEFAULT_CHAT_FRAME:AddMessage( 'QUI HolyPowerBar unlocked' )
		locked = false
		hp_bar:SetMovable(true)
		hp_bar:EnableMouse(true)
		hp_bar:RegisterForDrag("LeftButton")
		hp_bar:SetScript("OnDragStart", hp_bar.StartMoving)
		hp_bar:SetScript("OnDragStop", hp_bar.StopMovingOrSizing)
	else  
		locked = true
		hp_bar:EnableMouse(false)
		hp_bar:RegisterForDrag(nil)
		hp_bar:SetScript("OnDragStart", nil)
		hp_bar:SetScript("OnDragStop", nil)
		DEFAULT_CHAT_FRAME:AddMessage( 'QUI HolyPowerBar locked' )
		
	end
end

SLASH_QUIHOLYPOWERBAR1 = "/quihp";
SlashCmdList["QUIHOLYPOWERBAR"] = function(msg)
    if msg == "lock" then
        hp_bar:toggleLock()
    end
end



function events:UNIT_POWER(source,type)
	hpGfx = { [0]="0.tga", [1]= "1.tga", [2]= "2.tga", [3]= "3.tga", [4]= "4.tga", [5]= "5.tga"}
	tex:SetTexture( gfxPath..hpGfx[ UnitPower("player",9 )] )
	
   
end

hp_bar:SetScript("OnEvent",function(self,event,...) events[event](self,...) end)

for k,v in pairs(events) do
    hp_bar:RegisterEvent(k)
end






